Page MenuHome

Compositing scenes causes crash, but rendering separately does not
Closed, ResolvedPublic

Description

System Information
Operating system:
Graphics card:

Blender Version
Broken:
(example: 2.79b release)
(example: 2.80, edbf15d3c044, blender2.8, 2018-11-28, as found on the splash screen)
Worked: (optional)

Short description of error
I set up several scenes, and one scene to composite the others into a single render. If I try to render from the Compositor scene, blender crashes. If I render each scene separately, no crashes.
Exact steps for others to reproduce the error
Based on the default startup or an attached .blend file (as simple as possible).
Load the attached .blend file.
Switch to the Scene called "Compositor".
Render Animation.

Details

Type
Bug

Event Timeline

Not a crash but a render error:

Render error (No such file or directory) cannot save: '/Users/james/Documents/blender/render bin/0001.png'


Are you using the latest Blender 2.8 build of today's 2019-02-06?

Also no crash here.
@Marco (nacioss): you have to specify some existing output folder, if I do that I can render the whole sequence.

Sebastian Parborg (zeddb) triaged this task as Needs Information from User priority.

Works fine for me too.
As already asked, are you using an up to date blender beta?

Yes, I was using the downloadable beta of Feb 06, 2018.

Marco says I must "specify some existing output folder"....

In which scene? All of them?

Every scene in the .blend I submitted does, indeed, have an output folder specified. The folder exists. That's what I'm seeing when I reopen the file I sent you.

Here's an actual work file that exhibits the bug behavior. This crashes even after I've ensured that each Scene has an output path, specified to a folder that already exists.

Open it,
Go to Compositor Scene,
Render Animation.

This is the actual work I was doing when I discovered the bug. I confirmed it moments ago, using the latest available blender beta as of 15:06 Eastern time today, Feb 07.

So you are can not reproduce the issue on the initial blend file in the bug report?
Or can you still reproduce it on the minimal example you provided at first?

I cannot reproduce it on the first .blend I sent, using the latest beta I have (from the latest available blender beta as of 15:06 Eastern time yesterday, Feb 07.). When I sent it to you, it crashed for me twice, but isn't doing it now. I just tested it again moments before clicking to send this message.

The 2nd file, however, exhibits the bug reliably. I just tested it again, too, moments before clicking to send this message. Blender crashes before rendering a complete, composited frame. Sometimes, it would render a frame or two, but mostly, it crashes before writing the first frame to a file, it seems to me.

I reproduced the crash 3 consecutive times today, using the 2nd file I sent,

with today's download of blender 2.80 beta, on Friday, February 8, 2019. If there's something else that I can provide to you, or test for you, I'll be glad to do it.

Sebastian Parborg (zeddb) raised the priority of this task from Needs Information from User to Confirmed, Medium.

I don't think this has to do with compositing.
I can reproduce the crash in the compositing scene.
But I can also reproduce it if I render re-imported GOOD angler scene
and then render 2nd crime TOON LINES.

As you can see, the crash happens in the rigid body physics system.

Backtrace:

Thread 27 "blender" received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffd3bfc700 (LWP 12978)]
removeleaf (pdbvt=pdbvt@entry=0x7fff6e808e48, leaf=leaf@entry=0x7fff6e79dc50)
    at /home/zed/programmering/blender_master/blender/extern/bullet2/src/BulletCollision/BroadphaseCollision/btDbvt.cpp:185
185			btDbvtNode*	prev=parent->parent;
(gdb) bt
#0  removeleaf (pdbvt=pdbvt@entry=0x7fff6e808e48, leaf=leaf@entry=0x7fff6e79dc50)
    at /home/zed/programmering/blender_master/blender/extern/bullet2/src/BulletCollision/BroadphaseCollision/btDbvt.cpp:185
#1  0x0000555556de2d71 in btDbvt::remove (this=this@entry=0x7fff6e808e48, leaf=0x7fff6e79dc50)
    at /home/zed/programmering/blender_master/blender/extern/bullet2/src/BulletCollision/BroadphaseCollision/btDbvt.cpp:559
#2  0x0000555556d509a0 in btDbvtBroadphase::destroyProxy (this=0x7fff6e808e40, absproxy=0x7fff6fae3510, dispatcher=0x7fff69188000)
    at /home/zed/programmering/blender_master/blender/extern/bullet2/src/BulletCollision/BroadphaseCollision/btDbvtBroadphase.cpp:199
#3  0x0000555556d61282 in btCollisionWorld::~btCollisionWorld (this=0x7fff7d694010, __in_chrg=<optimized out>)
    at /home/zed/programmering/blender_master/blender/extern/bullet2/src/BulletCollision/CollisionDispatch/btCollisionWorld.h:129
#4  0x0000555556dbc679 in btDiscreteDynamicsWorld::~btDiscreteDynamicsWorld (this=0x7fff7d694010, __in_chrg=<optimized out>)
    at /home/zed/programmering/blender_master/blender/extern/bullet2/src/BulletDynamics/Dynamics/btDiscreteDynamicsWorld.cpp:241
#5  0x00005555569ce982 in RB_dworld_delete (world=0x7fff68bf7cd0) at /home/zed/programmering/blender_master/blender/intern/rigidbody/rb_bullet_api.cpp:167
#6  0x0000555556961096 in BKE_rigidbody_validate_sim_world (scene=scene@entry=0x7fff65415008, rbw=rbw@entry=0x7fff68bfb288, rebuild=rebuild@entry=true)
    at /home/zed/programmering/blender_master/blender/source/blender/blenkernel/intern/rigidbody.c:928
#7  0x0000555556962240 in rigidbody_update_simulation (depsgraph=depsgraph@entry=0x7fff6e34e208, scene=scene@entry=0x7fff65415008,
    rbw=rbw@entry=0x7fff68bfb288, rebuild=rebuild@entry=true)
    at /home/zed/programmering/blender_master/blender/source/blender/blenkernel/intern/rigidbody.c:1416
#8  0x00005555569625f6 in BKE_rigidbody_rebuild_world (depsgraph=0x7fff6e34e208, scene=0x7fff65415008, ctime=1)
    at /home/zed/programmering/blender_master/blender/source/blender/blenkernel/intern/rigidbody.c:1687
#9  0x0000555556bcaaf0 in std::function<void (Depsgraph*)>::operator()(Depsgraph*) const (__args#0=<optimized out>, this=0x7fff6e357f88)
    at /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.0/include/g++-v8/bits/std_function.h:682
#10 DEG::deg_task_run_func (pool=0x7fff5e406008, taskdata=0x7fff6e357f28, thread_id=4)
    at /home/zed/programmering/blender_master/blender/source/blender/depsgraph/intern/eval/deg_eval.cc:87
#11 0x0000555556bac31e in task_scheduler_thread_run (thread_p=0x7fffd82920c8)
    at /home/zed/programmering/blender_master/blender/source/blender/blenlib/intern/task.c:438
#12 0x00007ffff63923c3 in start_thread () from /lib64/libpthread.so.0
#13 0x00007ffff13493ef in clone () from /lib64/libc.so.6

@Sergey Sharybin (sergey) feel free to reassign to @Sergej Reich (sergof) if this is not for you.

Sergey Sharybin (sergey) closed this task as Resolved.Feb 12 2019, 1:01 PM

Fixed by rB024f5ba2bdb (just made a typo in the Fixes string :()